Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.cls
Class CreateSiblingClassAction

    java.lang.Object
      javax.swing.AbstractAction
          edu.stanford.smi.protegex.owl.ui.actions.ResourceAction
              edu.stanford.smi.protegex.owl.ui.cls.CreateSiblingClassAction

All Implemented Interfaces:
  ActionListener, Serializable, Cloneable, Comparable, EventListener, Action

    public class CreateSiblingClassAction

extends ResourceAction

A ResourceAction for named classes, to create a sibling of the currently selected class.

Author:
  Holger Knublauch
See Also:
  Serialized Form

Field Summary
`static String` | `TEXT`

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`CreateSiblingClassAction()`

Method Summary
`void` | `actionPerformed(ActionEvent e)`
`boolean` | `isSuitable(Component component, RDFResource resource)`
`static void` | `performAction(RDFSNamedClass sibling, ClassTreePanel classTreePanel)`

Methods inherited from class edu.stanford.smi.protegex.owl.ui.actions.ResourceAction
`compareTo, getComponent, getGroup, getOWLModel, getPriority, getResource, initialize, isInToolBar`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TEXT

    public static final String TEXT

See Also:
  Constant Field Values

Constructor Detail

### CreateSiblingClassAction

    public CreateSiblingClassAction()

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent e)

### isSuitable

    public boolean isSuitable(Component component,
                              RDFResource resource)

  Specified by:
    `isSuitable` in class `ResourceAction`

### performAction

    public static void performAction(RDFSNamedClass sibling,
                                     ClassTreePanel classTreePanel)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.